#sidebarMenu {
    height: 100%;
    position: fixed;
    top:0;
    left: 0;
    width: 280px;
    z-index: 90;
    margin-top: 0;
    transform: translateX(-280px);
    transition: transform 50ms ease-in-out;
    background-color: #283031;
    /*background: linear-gradient(38deg, rgb(99, 129, 149) 30%, rgb(61, 80, 83) 53%, rgb(139, 130, 111) 100%);*/
}

.sidebarMenuInner{
    margin:80px 0 0 25px;
    padding:0;
    font-size: 1.2em;
}

.sidebarMenuInner li{
    list-style: none;
    color: #fff;
    font-weight: 300;
    line-height: 1em;
    padding: 12px;
    cursor: pointer;
    border-bottom: 0px solid #333;
    letter-spacing: 0.03em;
    text-transform: uppercase;
   
  }

.sidebarMenuInner li span{
    display: block;
    color: rgba(255, 255, 255, 0.50);
}
.sidebarMenuInner li a{
    color: #fff;
    font-size: 75%;
    font-weight: 300;
    cursor: pointer;
    text-decoration: none;
}

.sidebarMenuInner .sublist {
    margin: 15px 0 10px -25px;
    line-height: 1.8em;
    border:0px solid #FFF; 
    p  
}

.sidebarMenuInner li .sublist li {
    padding:0px;
    border-bottom:0px solid #FFF;
}

input[type="checkbox"]:checked ~ #sidebarMenu {
    transform: translateX(0);
}

input[type="checkbox"]:checked ~ #sidebarIconToggle {
    transform: translateX(0);
}

#openSidebarMenu:checked + .sidebarIconToggle {
  left: 222px;
  background-color: #283031;
}

input[type=checkbox] {
    transition: all 0.3s;
    box-sizing: border-box;
    display: none;
}

.sidebarIconToggle {
    transition: all 0.3s;
    box-sizing: border-box;
    cursor: pointer;
    position: fixed;
    z-index: 99;
    top: 21px;
    left: 21px;
    height: 55px;
    width: 55px;
    padding: 14px 13px 10px 8px;
    border-radius: 50px;
    background-color: #FFF;
}

.spinner {
    transition: all 0.3s;
    box-sizing: border-box;
    position: absolute;
    height: 0.199em;
    width: 100%;
    border-radius: 2px;
    margin: 0.19em;
    cursor: pointer;
    background-color: #404040;
}

.horizontal {
    transition: all 0.3s;
    box-sizing: border-box;
    position: relative;
    float: left;
    margin-top: 0.19em;
}
.diagonal.part-1 {
    position: relative;
    transition: all 0.3s;
    box-sizing: border-box;
    float: left;
}
.diagonal.part-2 {
    transition: all 0.3s;
    box-sizing: border-box;
    position: relative;
    float: left;
    margin-top: 0.19em;
}
input[type=checkbox]:checked ~ .sidebarIconToggle > .horizontal {
    transition: all 0.3s;
    box-sizing: border-box;
    opacity: 0;
}
input[type=checkbox]:checked ~ .sidebarIconToggle > .diagonal.part-1 {
    transition: all 0.3s;
    box-sizing: border-box;
    transform: rotate(135deg);
    margin-top: 13px;
    background-color: #ccc;
}
input[type=checkbox]:checked ~ .sidebarIconToggle > .diagonal.part-2 {
    transition: all 0.3s;
    box-sizing: border-box;
    transform: rotate(-135deg);
    margin-top: -0.94em;
    background-color: #ccc;
}

@media only screen and (min-width : 320px) and (max-device-width: 480px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: portrait) {

.sidebarIconToggle {
  transition: all 0.3s;
  box-sizing: border-box;
  cursor: pointer;
  position: fixed;
  top: 5px;
  left: 5px;
  height: 55px;
  width: 55px;
  z-index: 99;
  padding: 16px 13px 0px 8px;
  border-radius: 50px;
  background-color: #FFF!important;
}

#openSidebarMenu:checked + .sidebarIconToggle {
    left: 204px;
    background-color: #283031!important;
  }


input[type=checkbox]:checked ~ .sidebarIconToggle > .diagonal.part-2  {
    transition: all 0.3s;
    box-sizing: border-box;
    transform: rotate(-135deg);
    margin-top: -0.92em;
    background-color: #ccc;
}

.sidebarMenuInner {
  margin: 80px 0 0 25px;
  padding: 0;
  font-size: 1.5em;
  line-height:1.8em;
}

}



@media only screen and (max-height: 575.98px) and (orientation: landscape) {

.sidebarMenuInner {
    margin: 80px 0 0 25px;
    padding: 0;
    font-size: 1.2em;
    line-height: 1em;
}

}

/* iPad 1, 2, Mini and Air */
@media only screen 
and (min-device-width: 768px) 
and (max-device-width: 1024px) 
and (-webkit-min-device-pixel-ratio: 1) 
and (orientation : landscape)  {

    input[type="checkbox"]:checked ~ .sidebarIconToggle > .diagonal.part-2 {
        transition: all 0.3s;
        box-sizing: border-box;
        transform: rotate(-135deg);
        margin-top: -0.94em;
        background-color: #ccc;
        border:0px solid red;
      }
      
      .sidebarIconToggle {
          transition: all 0.3s;
          box-sizing: border-box;
          cursor: pointer;
          position: fixed;
          z-index: 99;
          top: 5px;
          left: 5px;
          height: 55px;
          width: 55px;
          padding: 15px 13px 10px 8px;
          border-radius: 50px;
          background-color: #FFF;
      } 
      
      .sidebarIconToggle {
          top: 5px;
          left: 5px;  
      }
      
      .sidebarMenuInner {
        margin: 80px 0 0 25px;
        padding: 0;
        font-size: 1.2em;
        line-height: 1.6em;
        border:0px solid red;
    }
      
      .sidebarMenuInner .sublist {
          margin: 7px 0 0 -25px;
          line-height: 1.5em;
      }
      
      .diagonal.part-2 {
          transition: all 0.3s;
          box-sizing: border-box;
          position: relative;
          float: left;
          margin-top: 3px;
          top: 0.15em;
      }

}

/* iPad 3, 4 and Pro 9.7" */
@media only screen 
and (min-device-width: 768px) 
and (max-device-width: 1024px) 
and (-webkit-min-device-pixel-ratio: 2) 
and (orientation : landscape) {

    
      
      input[type="checkbox"]:checked ~ .sidebarIconToggle > .diagonal.part-2 {
        transition: all 0.3s;
        box-sizing: border-box;
        transform: rotate(-135deg);
        margin-top: -0.94em;
        background-color: #ccc;
        border:0px solid red;
      }
      
      .sidebarIconToggle {
          transition: all 0.3s;
          box-sizing: border-box;
          cursor: pointer;
          position: fixed;
          z-index: 99;
          top: 5px;
          left: 5px;
          height: 55px;
          width: 55px;
          padding: 15px 13px 10px 8px;
          border-radius: 50px;
          background-color: #FFF;
      } 
      
      .sidebarIconToggle {
          top: 5px;
          left: 5px;  
      }
      
      .sidebarMenuInner {
        margin: 80px 0 0 25px;
        padding: 0;
        font-size: 1.2em;
        line-height: 1.6em;
        border:0px solid red;
    }
      
      .sidebarMenuInner .sublist {
          margin: 7px 0 0 -25px;
          line-height: 1.5em;
      }
      
      .diagonal.part-2 {
          transition: all 0.3s;
          box-sizing: border-box;
          position: relative;
          float: left;
          margin-top: 0px;
          top: 0.15em;
      }


}


/* iPad 1, 2, Mini and Air */
@media only screen 
and (min-device-width: 768px) 
and (max-device-width: 1024px) 
and (-webkit-min-device-pixel-ratio: 1) 
and (orientation : portrait)  {

    input[type="checkbox"]:checked ~ .sidebarIconToggle > .diagonal.part-2 {
        transition: all 0.3s;
        box-sizing: border-box;
        transform: rotate(-135deg);
        margin-top: -0.94em;
        background-color: #ccc;
        border:0px solid red;
      }
      
      .sidebarIconToggle {
          transition: all 0.3s;
          box-sizing: border-box;
          cursor: pointer;
          position: fixed;
          z-index: 99;
          top: 5px;
          left: 5px;
          height: 55px;
          width: 55px;
          padding: 15px 13px 10px 8px;
          border-radius: 50px;
          background-color: #FFF;
      } 
      
      .sidebarIconToggle {
          top: 5px;
          left: 5px;  
      }
      
      .sidebarMenuInner {
        margin: 80px 0 0 25px;
        padding: 0;
        font-size: 1.2em;
        line-height: 1.6em;
        border:0px solid red;
    }
      
      .sidebarMenuInner .sublist {
          margin: 7px 0 0 -25px;
          line-height: 1.5em;
      }
      
      .diagonal.part-2 {
          transition: all 0.3s;
          box-sizing: border-box;
          position: relative;
          float: left;
          margin-top: 3px;
          top: 0.15em;
      }

}

/* iPad 3, 4 and Pro 9.7" */
@media only screen 
and (min-device-width: 768px) 
and (max-device-width: 1024px) 
and (-webkit-min-device-pixel-ratio: 2) 
and (orientation : portrait) {

    #sidebarMenu {
        height: 100%;
        position: fixed;
        top:0;
        left: 0;
        width: 260px;
        z-index: 90;
        margin-top: 0;
        transform: translateX(-280px);
        transition: transform 250ms ease-in-out;
        background-color: #404040;
    }

    
      
      input[type="checkbox"]:checked ~ .sidebarIconToggle > .diagonal.part-2 {
        transition: all 0.3s;
        box-sizing: border-box;
        transform: rotate(-135deg);
        margin-top: -0.94em;
        background-color: #ccc;
        border:0px solid red;
      }
      
      .sidebarIconToggle {
          transition: all 0.3s;
          box-sizing: border-box;
          cursor: pointer;
          position: fixed;
          z-index: 99;
          top: 5px;
          left: 5px;
          height: 55px;
          width: 55px;
          padding: 15px 13px 10px 8px;
          border-radius: 50px;
          background-color: #FFF;
      } 
      
      .sidebarIconToggle {
          top: 5px;
          left: 5px;  
      }
      
      .sidebarMenuInner {
        margin: 80px 0 0 25px;
        padding: 0;
        font-size: 1.2em;
        line-height: 1.6em;
        border:0px solid red;
    }
      
      .sidebarMenuInner .sublist {
          margin: 7px 0 0 -25px;
          line-height: 1.5em;
      }
      
      .diagonal.part-2 {
          transition: all 0.3s;
          box-sizing: border-box;
          position: relative;
          float: left;
          margin-top: 3px;
          top: 0.15em;
      }


}